// C/C++ File
// AUTHOR:   fotonmootn
// FILE:     inc/fdf.h
// ROLE:     to rule them all
// CREATED:  2017-02-13 20:07:04
// MODIFIED: 2017-02-18 01:11:28


#ifndef FDF_H
# define FDF_H

#include "libft.h"
#include "mlx.h"
#include <math.h>
#include <fcntl.h>

typedef struct	s_point
{
	int			x;
	int			y;
	int			z;
	int 		color;
}				t_point;

typedef struct	s_mlx
{
	void		*mlx;
	void		*win;
}				t_mlx;

typedef struct	s_swap
{
	int 		swap_x;
	int 		swap_coord;
}				t_swap;

void	line(t_point *p1, t_point *p2, t_mlx *m);

#endif
